#if !defined(__xpd3mdic_h)              // Sentry, use file only if it's not already included.
#define __xpd3mdic_h

/*  Project xped3
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    xped3.exe Application
    FILE:         xpd3mdic.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for xped3MDIClient (TMDIClient).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\opensave.h>

#include "xped3app.rh"            // Definition of all resources.


//{{TMDIClient = xped3MDIClient}}
class xped3MDIClient : public TMDIClient {
public:
    int                     ChildCount;                 // Number of child window created. 
    TOpenSaveDialog::TData  FileData;                   // Data to control open/saveas standard dialog.

    xped3MDIClient ();
    virtual ~xped3MDIClient ();

    void OpenFile (const char *fileName = 0);

private:
    void LoadTextFile ();

//{{xped3MDIClientVIRTUAL_BEGIN}}
protected:
    virtual void SetupWindow ();
//{{xped3MDIClientVIRTUAL_END}}

//{{xped3MDIClientRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
//{{xped3MDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(xped3MDIClient);
};    //{{xped3MDIClient}}


#endif                                      // __xpd3mdic_h sentry.
